Can't connect to my own server

Discussion in 'Help' started by WhoDee, Apr 11, 2018.

  1. WhoDee

    WhoDee Spider

    Messages:
    8
    Hi guys. New to Pocketmine, and I'm trying to get my server up and running. Been reading over help threads and trying what I can find with no luck so far. Maybe someone can point me in the right direction.

    I'm running...
    PM version 1.4.1-980
    OS: Windows 10
    No plugins

    I've installed and run PM and it seems to be functioning properly. I forwarded port 19132 on my router. Firewall opened for PHP.exe.

    When I try to connect using PE on a mobile device, it attempts to connect and I get a "1/8 online" at the top, but it never connects and then says "[IP] logged out due to client disconnect" after a few minutes. On the device itself it says "unable to connect to world" after few minutes of trying to connect.

    When I try to connect on Minecraft for Windows 10, it never even shows up as making an attempt on the server. Below are screenshots of the port forwarding, server messages, and how I'm trying to log in. Any help is greatly appreciated.

    Port Forwarding.jpg Pocketmine.jpg Minecraft.jpg
     
  2. Tee7even

    Tee7even Slime

    Messages:
    83
    GitHub:
    tee7even
  3. WhoDee

    WhoDee Spider

    Messages:
    8
    Thanks, that did make it so that now at least it's attempting to connect on my Windows 10 version. It still gives me the same disconnect as on the mobile PE version now though. Still lookin for any help on that end!
     
  4. WhoDee

    WhoDee Spider

    Messages:
    8
    Update:

    So, turns out I was using a really old version of PMMP. I just used the installer that was available on pocketmine.net which I guess is totally outdated. I did some reading and updated my PHP and Phar, and re-ran the server. Now my server shows up on my server list, but when I try to connect, it says the server is outdated and can't connect. Server says "logged out due to Incompatible protocol version (223)." I'm using the latest PHP version published... 7.2. Do I need to be using an older version of minecraft to connect?
     
    Last edited: Apr 12, 2018
  5. HimbeersaftLP

    HimbeersaftLP Wither Skeleton

    Messages:
    1,447
    GitHub:
    HimbeersaftLP
    What does it say when you run the "version" command?
     
  6. WhoDee

    WhoDee Spider

    Messages:
    8
    Says:
    This server is running PocketMine-MP 1.7dev-743 [redacted] implementing API version 3.0.0-Alpha11 for Minecraft: PE v1.2.10. (protocol version 201)

    So I'm assuming it's not working because my Minecraft is v1.2.13 (protocol version 223) and the server is v1.2.10 (protocol version 201). Like I said I'm new to all of this, will it just be some time before the PMMP version catches up, or does everyone using Pocketmine just not update their minecraft right away with new releases? Or it's very possible I just did something else completely wrong... o_O
     
  7. Thunder33345

    Thunder33345 Moderator Staff Member Verified

    Messages:
    2,143
    GitHub:
    Thunder33345
    please use pmmp.io to get the latest install method
     
  8. Tee7even

    Tee7even Slime

    Messages:
    83
    GitHub:
    tee7even
    Download the latest version here (PocketMine-MP.phar).
     
    WhoDee likes this.
  9. WhoDee

    WhoDee Spider

    Messages:
    8
    hmm, weird... I was using that site, but got linked to an older version somehow. Anyway, I'll try that and see how it goes. Should fix the problem, thanks!
     
  10. WhoDee

    WhoDee Spider

    Messages:
    8
    Yep, everything working now. Thanks guys.
     
  11. WhoDee

    WhoDee Spider

    Messages:
    8
    So, one more question, figured I'd just use the same thread instead of start a new one. I got the server running and am able to join on all devices now. I'm trying to run a persistent server for my young kids to use and would like a smaller world so they can easily find each other. I can't seem to find a way to change the server off of infinite and onto "old" or limit the world size in any way. I tried to use a "max-world-size" line in the server properties, but when i start the server it seems to ignore the changes I've made there, including leaving pvp on even though i changed it to off. This is after stopping the server, and creating a new world with a new name or deleting the old world first. Not sure what i'm doing wrong here.
     
  12. Tee7even

    Tee7even Slime

    Messages:
    83
    GitHub:
    tee7even
    I'm sure that there is no "max-world-size" property. You can use plugins to set world borders. As for "pvp", I don't know, it is saved in properties file, but doesn't seem to be used by PocketMine. Anyways, you can use plugins for that too.
     
    WhoDee likes this.
  13. dktapps

    dktapps Administrator Staff Member PMMP Team

    Messages:
    674
    GitHub:
    dktapps
    Things are a bit messy right now - normally a new alpha release patch would be created for a protocol update, but this time it was discovered that the game updates crippled the release branch (crafting is broken, HD skins will get corrupted, etc) and fixing these issues on the stable branch would require changes which would break the API. That's why there hasn't been a stable release for 1.2.13.

    An ALPHA12 release will be rolling out later today.
     
    WhoDee likes this.
  14. WhoDee

    WhoDee Spider

    Messages:
    8
    Ya, I thought I'd give the max world size a shot cause I saw it in the list of server properties of oldschool minecraft. I'm off to learn how to use plugins... thanks for the help again guys.
     
    Tee7even likes this.

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.